C
C
C
C
	SUBROUTINE ASC(IP,LA)
	LOGICAL*1 LA(14)
	IF(IP.GE.10)GO TO 500
	LA(12)=IP+"60
	LA(13)=' '
	GO TO 510
500	I1=IP/10
	LA(12)=I1+"60
	I1=I1*10
	I2=IP-I1
	LA(13)=I2+"60
510	RETURN
	END

C
C	subroutine to calculate whether difference between means
C	of two populations are significant
	SUBROUTINE SIG(M1,M2,N1,N2,IS1,IS2)
	REAL*4 M1,M2,IS1,IS2
C	M1- mean of group 1
C	M2- mean of group 2
C	N1- no. in group 1
C	N2- no. in group 2
C	IS1 - standard deviation of group 1
C	IS2 - standard deviation of group 2
	LP = 6
	T1=(IS1*IS1)/N1
	T2=(IS2*IS2)/N2
	DEN=SQRT(T1+T2)
	Z=(M1-M2)/DEN
	WRITE(LP,50)Z
50	FORMAT(//2X,'Z=',F8.2)
	IF(Z.GT.2.58.OR.Z.LT.-2.58)GO TO 250
	IF(Z.GT.1.96.OR.Z.LT.-1.96)GO TO 150
	WRITE(LP,100)
100	FORMAT(2X,'DIFFERENCE IN MEANS IS NOT SIGNIFICANT AT 5% LEVEL')
	RETURN
150	WRITE(LP,200)
200	FORMAT(2X,'DIFFERENCE IN MEANS IS SIGNIFICANT AT 5% LEVEL')
	RETURN
250	WRITE(LP,300)
300	FORMAT(2X,'DIFFERENCE IN MEANS IS SIGNIFICANT AT 1% LEVEL')
	RETURN 
	END
